path: /build/build/qttest-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge dev-qt/qttest:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps dev-qt/qttest:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qttest && luet-portage --dir /pkgdir/qttest
    dev-qt/qttest:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:aaeda229b2c5810a48ed82441214fc7bfecba6c8751edc15a711b0925191783e
  package:
    name: qttest
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: qtnetwork
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Unit testing library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-03-06 12:14:07.620343983 +0000 UTC m=+178.789224201
    labels:
      BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
        virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= test? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtxml-5.15.2*
        )
      IUSE: test debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5=
      emerge.packages: dev-qt/qttest:5
      kit: qt-kit
      original.package.name: dev-qt/qttest
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240201
    treedir: /build/packages
  package_dir: /pkgdir/qttest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 50a2ceb10e454b5aea8216a6b815d785bacc57dcd8f5562bf15e3ed65bf99ab8
compressiontype: zstd
files:
- usr/include/qt5/QtTest/5.15.12/QtTest/private/callgrind_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/cycle_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/linux_perf_event_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qabstracttestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qappletestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmark_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarkevent_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarkmeasurement_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarkmetric_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarkperfevents_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarktimemeasurers_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qbenchmarkvalgrind_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qcsvbenchmarklogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qjunittestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qplaintestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qsignaldumper_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtaptestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qteamcitylogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestblacklist_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestcoreelement_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestcorelist_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestelement_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestelementattribute_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtesthelpers_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestjunitstreamer_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestlog_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestresult_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtesttable_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qtestutil_macos_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qttestlib-config_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qxctestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/qxmltestlogger_p.h
- usr/include/qt5/QtTest/5.15.12/QtTest/private/valgrind_p.h
- usr/include/qt5/QtTest/QAbstractItemModelTester
- usr/include/qt5/QtTest/QEventSizeOfChecker
- usr/include/qt5/QtTest/QSignalSpy
- usr/include/qt5/QtTest/QSpontaneKeyEvent
- usr/include/qt5/QtTest/QTest
- usr/include/qt5/QtTest/QTestAccessibility
- usr/include/qt5/QtTest/QTestData
- usr/include/qt5/QtTest/QTestDelayEvent
- usr/include/qt5/QtTest/QTestEvent
- usr/include/qt5/QtTest/QTestEventList
- usr/include/qt5/QtTest/QTestEventLoop
- usr/include/qt5/QtTest/QTestKeyClicksEvent
- usr/include/qt5/QtTest/QTestKeyEvent
- usr/include/qt5/QtTest/QTestMouseEvent
- usr/include/qt5/QtTest/QtCoverageScanner
- usr/include/qt5/QtTest/QtTest
- usr/include/qt5/QtTest/QtTestDepends
- usr/include/qt5/QtTest/QtTestGui
- usr/include/qt5/QtTest/QtTestNetwork
- usr/include/qt5/QtTest/QtTestVersion
- usr/include/qt5/QtTest/QtTestWidgets
- usr/include/qt5/QtTest/qabstractitemmodeltester.h
- usr/include/qt5/QtTest/qbenchmark.h
- usr/include/qt5/QtTest/qbenchmarkmetric.h
- usr/include/qt5/QtTest/qsignalspy.h
- usr/include/qt5/QtTest/qtest.h
- usr/include/qt5/QtTest/qtest_global.h
- usr/include/qt5/QtTest/qtest_gui.h
- usr/include/qt5/QtTest/qtest_network.h
- usr/include/qt5/QtTest/qtest_widgets.h
- usr/include/qt5/QtTest/qtestaccessible.h
- usr/include/qt5/QtTest/qtestassert.h
- usr/include/qt5/QtTest/qtestcase.h
- usr/include/qt5/QtTest/qtestdata.h
- usr/include/qt5/QtTest/qtestevent.h
- usr/include/qt5/QtTest/qtesteventloop.h
- usr/include/qt5/QtTest/qtestkeyboard.h
- usr/include/qt5/QtTest/qtestmouse.h
- usr/include/qt5/QtTest/qtestspontaneevent.h
- usr/include/qt5/QtTest/qtestsystem.h
- usr/include/qt5/QtTest/qtesttouch.h
- usr/include/qt5/QtTest/qttestglobal.h
- usr/include/qt5/QtTest/qttestlib-config.h
- usr/include/qt5/QtTest/qttestversion.h
- usr/lib64/cmake/Qt5Test/Qt5TestConfig.cmake
- usr/lib64/cmake/Qt5Test/Qt5TestConfigExtras.cmake
- usr/lib64/cmake/Qt5Test/Qt5TestConfigVersion.cmake
- usr/lib64/libQt5Test.prl
- usr/lib64/libQt5Test.so
- usr/lib64/libQt5Test.so.5
- usr/lib64/libQt5Test.so.5.15
- usr/lib64/libQt5Test.so.5.15.12
- usr/lib64/pkgconfig/Qt5Test.pc
- usr/lib64/qt5/mkspecs/gentoo/qttest-qmodule.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_testlib.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_testlib_private.pri
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/BDEPEND
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/BUILD_TIME
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CATEGORY
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CBUILD
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CC
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CFLAGS
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CHOST
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CONTENTS
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/COUNTER
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/CXXFLAGS
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/DEFINED_PHASES
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/DEPEND
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/DESCRIPTION
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/EAPI
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/FEATURES
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/HOMEPAGE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/INHERITED
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/IUSE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/KEYWORDS
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/LDFLAGS
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/LICENSE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/NEEDED
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/PF
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/PROVIDES
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/RDEPEND
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/REQUIRES
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/RESTRICT
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/SIZE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/SLOT
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/USE
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/environment.bz2
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/qttest-5.15.2_p20240201.ebuild
- var/db/pkg/dev-qt/qttest-5.15.2_p20240201/repository
package_cacheimage: ""
runtime:
  name: qttest
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - prefix
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Unit testing library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
      virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= test? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtxml-5.15.2*
      )
    IUSE: test debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5=
    emerge.packages: dev-qt/qttest:5
    kit: qt-kit
    original.package.name: dev-qt/qttest
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240201
